-- shapebuilder using https://minecraftshapes.com/

basic = require("lib.basic")

-- pixel size from the generator, should be constant
steps = 18

-- dimensions of the matrix
length = 6


-- see if the file exists
function file_exists(file)
  local f = io.open(file, "rb")
  if f then f:close() end
  return f ~= nil
end

-- get all lines from a file, returns an empty 
-- list/table if the file does not exist
function lines_from(file)
  if not file_exists(file) then return {} end
  local lines = {}
  for line in io.lines(file) do 
    lines[#lines + 1] = line
  end
  return lines
end

-- tests the functions above
local file = 'brulijam/shape0.svg'
local lines = lines_from(file)

-- print all line numbers and their contents
--for k,v in pairs(lines) do
--  print('line[' .. k .. ']', v)
--end



for k,v in pairs(lines) do
  if string.match(v, "green") then
    print(k .. ": yay")
    -- lines containing "green"
    xStart = string.find(v, "x=\"")
    xEnd = string.find(v, "\" y=")
    yStart = string.find(v, "y=\"")
    yEnd = string.find(v, "\" st")

    xStr = string.sub(v, xStart, xEnd)
    yStr = string.sub(v, yStart, yEnd)
    print(xStr .. " " .. yStr)
  end
end



--local shapeFile = basic.readFileAll("/brulijam/shape0.svg")

--print(shapeFile)

matrix = {}
for i = 1, length do
  matrix[i] = {}

    for j = 1, length do
      matrix[i][j] = 0
    end
end